unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls,
  Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation


{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  MyFile : TextFile;
begin
  AssignFile(MyFile, 'Test.txt');
  Rewrite(MyFile);
  WriteLn(MyFile, 'Test for multi-platform');
  WriteLn(MyFile, 'On Linux, Windows and Android');
  CloseFile(MyFile);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  MyFile : TextFile;
  LineText : String;
const
  Message = 'There is no file yet';
begin
  if not FileExists('Test.txt') then
  begin
    ShowMessage(Message);
    Exit;
  end;
  Memo1.Clear;
  try
    AssignFile(MyFile, 'Test.txt');
    Reset(MyFile);
    while not EOF(MyFile) do
    begin
      ReadLn(MyFile, LineText);
      Memo1.Lines.Add(LineText);
    end;
    CloseFile(MyFile);
  except
    ShowMessage(Message);
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if FileExists('Test.txt') then DeleteFile('Test.txt');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if ((Edit1.Text = '') or (Edit2.Text = '')) then Exit;
  Memo1.Clear;
  Memo1.Lines.Add(FloatToStr(StrToFloat(Edit1.Text) + StrToFloat(Edit2.Text)));
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  if ((Edit1.Text = '') or (Edit2.Text = '')) then Exit;
  Memo1.Clear;
  Memo1.Lines.Add(FloatToStr(StrToFloat(Edit1.Text) - StrToFloat(Edit2.Text)));
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  if ((Edit1.Text = '') or (Edit2.Text = '')) then Exit;
  Memo1.Clear;
  Memo1.Lines.Add(FloatToStr(StrToFloat(Edit1.Text) * StrToFloat(Edit2.Text)));
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  if ( (Edit1.Text = '') or (Edit2.Text = '') or (StrToFloat(Edit2.Text) = 0) ) then Exit;
  Memo1.Clear;
  Memo1.Lines.Add(FloatToStr(StrToFloat(Edit1.Text) / StrToFloat(Edit2.Text)));
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  ShowMessage('Hello World');
end;

end.

